public class MonstreUniverselBuilder implements MonstreBuilder {
    private Monstre monstre;

    @Override
    public void reset() {
        monstre = new Monstre();
    }

    @Override
    public void buildBras(int nombre) {
        monstre.setBras(nombre);
    }

    @Override
    public void buildJambes(int nombre) {
        monstre.setJambes(nombre);
    }

    @Override
    public void buildTete(boolean isUnique) {
        monstre.setTete(isUnique);
    }

    @Override
    public void buildCorps(boolean isUnique) {
        monstre.setCorps(isUnique);
    }

    @Override
    public void buildQueue(int nombre) {
        monstre.setQueue(nombre);
    }

    @Override
    public void buildAiles(int nombre) {
        monstre.setAiles(nombre);
    }

    @Override
    public void type(String type) {
        monstre.setType(type);
    }

    @Override
    public void buildNom(String nom) {
        monstre.setName(nom);
    }

    @Override
    public void buildDescription(String description) {
        monstre.setDescription(description);
    }

    @Override
    public void buildSante(int sante) {
        monstre.setSanté(sante);
    }

    @Override
    public void buildPuissance(int puissance) {
        monstre.setPuissance(puissance);
    }

    @Override
    public Monstre build() {
        return monstre;
    }

}